Skip to main content
POST
/
tool
/
update
/
{tool_id}
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

tool_id = "0a425650-60ac-4fd4-9554-5579844ce3e5"

payload = {
    "name": "Tool 1",
    "type": "apiRequest",
    "url": "https://www.google.com",
    "description": "hehe",
    "method": "GET",
    "body": {
        "type": "object",
        "properties": {
            "new": {
                "type": "string",
                "description": "2"
            }
        }
    },
    "headers": {
        "type": "object",
        "properties": {
            "new": {
                "type": "string",
                "description": "2"
            }
        }
    },
    "timeoutSeconds": 20
}

response = client.tools.update(tool_id, **payload)
print(response)
{
  "_id": "69f98c2185578cdac8d33015",
  "tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e8",
  "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRv",
  "type": "apiRequest",
  "createdAt": "2026-05-05T06:20:17.548000",
  "updatedAt": "2026-05-05T07:58:28.020000",
  "method": "GET",
  "url": "https://www.google.com",
  "name": "Tool 1",
  "description": "hehe",
  "timeoutSeconds": 20,
  "body": {},
  "headers": {},
  "messages": [],
  "backoffPlan": {
    "type": "fixed",
    "maxRetries": 0,
    "baseDelaySeconds": 1,
    "excludedStatusCodes": [
      400,
      401,
      403,
      404
    ]
  },
  "variableExtractionPlan": null,
  "rejectionPlan": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Path Parameters

tool_id
string
default:0a425650-60ac-4fd4-9554-5579844ce3e5
required

Tool ID

Example:

"0a425650-60ac-4fd4-9554-5579844ce3e5"

Body

application/json

Request body for Update tool.

Tool Update Request schema.

name
string

Name value.

Example:

"Tool 1"

type
string

Tool type.

Example:

"apiRequest"

url
string

Request URL.

Example:

"https://www.google.com"

description
string

Description value.

Example:

"hehe"

method
string

HTTP method.

Example:

"GET"

body
object

Request body schema.

Example:
{ "key": "value" }
headers
object

Request header schema.

Example:
{ "key": "value" }
timeoutSeconds
integer

Request timeout in seconds.

Example:

20

Response

Tool updated

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.